<?php
error_reporting(E_ALL & ~E_NOTICE);
/**
 * Main file of admin panel (router)
 * @author Sobak
 * @version 1.2
 */

/**
 * Buffering is necessary
 * create an object of core class
 */
ob_start();
require_once 'core.class.php';
$core = new core;

/**
 * Start debug. Total script time and queries counter
 * Debug will show in theme's footer.php file
 */
$scriptTimeStart = microtime(true);

/**
 * Set security constant
 */
define('INSIDE', true);

/**
 * Load main modules
 */
$core->loadModule('db.class');
$core->loadModule('user.class');


/**
 * Check whether user is logged and whether is admin
 */
if (!user::isLogged ()) core::redirect('index.php');
header('Content-Type: text/html; charset=utf-8');

/**
 * Connect to database
 * and load admin panel functions
 */
db::connect();
$core->loadModule('admin');

$user = user::getData('', '');
if ($user['level'] != 1 && $user['level'] != 2) {
    logger::addEvent (3, __FILE__, __LINE__, 'User attempted to enter the administration panel');
    die ('<b>Błąd:</b><br />Nie masz uprawnień do oglądania tej strony');
}

/**
 * Get important variables
 */
define('ADMIN_THEME', core::getSetting('admin_theme'));


/**
 * Include header
 */
require_once 'admin/themes/'.ADMIN_THEME.'/header.php';

$mode = $_GET['m'];


/**
 * Admin panel modules
 */
$adminModules = array ('summary', 'menu', 'menu_add', 'menu_edit',
    'arts', 'art_add', 'art_edit',
    'art_categories', 'art_category_add', 'art_category_edit',
    'pages', 'page_add', 'page_edit',
    'users', 'user_edit', 'user_add',
    'comments', 'trash', 'home', 'updates', 'del', 'logs', 'settings', 'sitemap',
    'faq', 'faq_add', 'faq_edit', 'feed',
    'stat_pages', 'stat_page_add', 'stat_page_edit');

if ($mode == '') {
    require_once 'admin/summary.php';
}

else {
    /**
     * Check whether file exists and it can be loaded
     */
    if (file_exists("admin/$mode.php") and in_array($mode, $adminModules))
    require "admin/$mode.php";

    else {
        logger::addEvent (2, __FILE__, __LINE__, 'Cannot load admin module: '.$mode);
        die ("Podany moduł nie istnieje lub nie mógł zostać załadowany");
    }
}

/**
 * Include footer
 */
require_once 'admin/themes/'.ADMIN_THEME.'/footer.php';

?>