<?php
/**
 * core.class.php
 *
 * Main class of IronCMS
 * @package Iron CMS
 * @author Sobak
 * @version 1.2
 */

class core {
    public static $cfg;
    public static $settingQueries = 0;
    public static $settingsList;
    public static $smarty;

    public function __construct () {
        /**
         * Load necessary files,
         * start session
         */
        session_start();
        
        if (file_exists('config.php') and filesize('config.php') != 0) {
            require_once 'config.php';
        }

        else {
            die ('Cannot load configuration! Are you <a href="install.php">install</a> script already?');
        }

        require_once 'modules/logger.class.php';
     
        // Put config
        self::$cfg = $cfg;

        
        // Disable magic quotes if it's possible
        if (get_magic_quotes_gpc()) ini_set ('magic_quotes', 'Off');
    }
    
    public function loadModule ($moduleName) {
        if (file_exists ("modules/$moduleName.php")) {
        require "modules/$moduleName.php";
        }

        else {
            logger::addEvent (1, __FILE__, __LINE__, 'Cannot load module: '.$moduleName);
            return false;
        }
    }
    
    public function getTheme () {
        if ($_COOKIE['icms_theme'] != '') {
            $theme = $_COOKIE['icms_theme'];
        }

        else {
            $theme = self::getSetting('theme');
        }
        
        return $theme;
    }
    
    public function splitAddr ($addr) {
        $addrElements = explode ('/', db::secure($addr));

        return $addrElements;
    }
    
    public function getSetting ($setName) {
         $setting = db::fetch(db::query ("SELECT value FROM {prefix}settings WHERE setting = '$setName' LIMIT 1;"));
         self::$settingQueries++;
         self::$settingsList[] = $setName;
         return $setting[0];
        //return core::$cfg[$setName];
    }
    
    public function showDebugInfo () {
        global $scriptTimeStart;
        if (core::$cfg['debug'] and user::$user['level'] == 1) {
               echo 'Debug - czas wykonywania: '.round(microtime(true)-$scriptTimeStart, 3).' sek. | zapytań: '.db::$queriesCounter;
        }
    }
    
    public function redirect($location) {
        $location = str_replace('&amp', '&', $location);
        header ('Location: '.$location);
        die;
    }
    
    public function pageExists ($id) {
        $count = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}content WHERE id='$id' AND page_status='0'"));
        
        if ($count[0] == 1) return true;
    }
    
    public function pageReturnData ($id) {
        $content = db::fetch(db::query("SELECT * FROM {prefix}content WHERE id='$id' LIMIT 1;"));
        return $content;
    }
    
    public function bbcodePrepareParser () {
        $bbc = new BBCode();
        $bbc->SetSmileyDir('smileys');
        $bbc->SetSmileyURL('smileys');
        $bbc->SetDetectURLs(true);
        
        return $bbc;
    }
}