<?php
/**
 * Login form & script
 * 
 * @author Sobak
 * @version 1.2
 */

$login = htmlspecialchars(db::secure($_POST['login']));
$pass = db::secure($_POST['pass']);

if ($_POST['send'] == 1) {
    /**
     * Check whether all fields are complete
     */
    if (!$login or empty($login)) {
        die ('<p class="error">Wypełnij pole z loginem!</p>');
    }

    if (!$pass or empty($pass)) {
        die ('<p class="error">Wypełnij pole z hasłem!</p>');
    }

    /**
     * Check whether user with that login and pass exists
     */
    $pass = user::passSalter($pass); // crypt a pass
    $userExists = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}users WHERE login = '$login' AND pass = '$pass'"));

    if ($userExists[0] == 0) {
        // User doesn't exists
        echo '<p class="error">Użytkownik o podanym loginie i haśle nie istnieje</p>';
    }

    else {
        // User exists, check whether is active
        $user = user::getData($login, $pass);

        if ($user['active'] != 1) {
            die ('<p class="error">Błąd: Twoje konto jest nieaktywne!<br />Musisz je aktywować korzystając z linku podanego w emailu aktywacyjnym.</p>');
        }

        // User is active, data is passed, login user
        $_SESSION['login'] = $login;
        $_SESSION['pass'] = $pass;

        core::redirect('index.php');
    }
}

else {
    // Show form
?>

 <form method="post" action="">
  <label for="login">Login:</label>
  <input type="text" name="login" maxlength="32" id="login" autocomplete="off" /><br />

  <label for="pass">Hasło:</label>
  <input type="password" name="pass" maxlength="32" id="pass" /><br />

  <input type="hidden" name="send" value="1" />
  <input type="submit" value="Zaloguj" />
 </form>

<?php
}